Bug 324841 - (CVE-2007-3917) CVE-2007-3917 Buffer overflow in wesnoth triggerable by UTF-8 chat message
CVE-2007-3917 Buffer overflow in wesnoth triggerable by UTF-8 chat message
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: wesnoth (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
https://bugzilla.novell.com/show_bug....
impact=important
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-09 09:05 EDT by Lubomir Kundrak
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 1.2.7-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-11 18:55:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-10-09 09:05:02 EDT
Description of problem:

From Novell bugzilla (see URL):

A malicious user could send a long chat message with multibyte characters, the
server would truncate the message on a fixed length, without paying attention to
the multibyte characters. This led to invalid utf-8 on the client and an
uncaught exception was thrown. Note both wesnoth and the wesnoth server are
affected.

Additional information:

I am aware of no further details, nor the fix.
Comment 1 Fedora Update System 2007-10-10 21:46:56 EDT
wesnoth-1.2.7-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wesnoth'
Comment 2 Fedora Update System 2007-10-11 18:55:04 EDT
wesnoth-1.2.7-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.